Subject: bug#10783: Some built-in functionslost their argument names

From: Stefan Monnier <[email-masked]>
Date: Mon, 13 Feb 2012 10:19:34 -0500

>> Just for the record: such duplicate definitions should be removed.
>> E.g. the C and pc-win.el definitions should be refactored such that
>> there is only one C definition (which might call an Elisp implementation
>> in the MS-DOS case).
> Wouldn't it be better for the common definition to be Lisp, with calls
> into C where necessary?

Depends on the actual code in the common part.  It will have some kind
of dispatch to the appropriate backend, which can either go through the
terminal methods or through some case/switch.  In the case we use
case/switch it can just as well be performed in Elisp, indeed.

But the common code may also include more shared code which may require
the use of C, or in some other cases we won't want to expose the
backend-specific code to Elisp.

        Stefan

PS: Of course, the common code should not use the "x-" prefix.